package edu.uwyo.crawl.ui.frameAbout.panels;

import java.awt.Dimension;

import javax.swing.JScrollPane;
import javax.swing.JTextPane;

import net.javamon.dev.utils.layout.AbstractPanel;

/**
 * The main panel for {@link edu.uwyo.crawl.ui.frameAbout.FrameAbout}.
 * @version 15 February, 2019
 * @author Christopher Stanton
 */
public class PanelMain extends AbstractPanel {
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    //                    FIELDS                       ////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////

    public JTextPane instructions;

    private JScrollPane scrollPane;

    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    //                  CONSTRUCTORS                   ////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////

    /** Creates a new {@link PanelMain}. */
    public PanelMain() {
        super();
        setInstructions();
    }

    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    //              OVERRIDDEN METHODS                 ////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////

    @Override
    public void setEnabled(boolean enabled) {}

    @Override
    public void validate() {}

    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    //                    METHODS                      ////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////

    /** Sets the instructions text. */
    private void setInstructions() {
        instructions = createHTMLPane("mainInstructions", null);
        scrollPane = new JScrollPane(instructions);
        scrollPane.setBorder(null);
        scrollPane.setPreferredSize(new Dimension(100, 100));
        layoutFill(scrollPane, 5, panel, panel, panel, panel);
        add(scrollPane);
    }
}
