package edu.uwyo.crawl.ui.frameJoin.panels;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * A listener for choosing the master file.
 * @version 28 March, 2019
 * @author Christopher Stanton
 */
public class SetMasterListener implements ActionListener {
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    //                    FIELDS                       ////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////

    private final PanelMain parent;

    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    //                  CONSTRUCTORS                   ////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////

    /** Creates a new {@link SetMasterListener}. */
    protected SetMasterListener(PanelMain parent) {
        this.parent = parent;
    }

    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    //              OVERRIDDEN METHODS                 ////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////

    @Override
    public void actionPerformed(ActionEvent e) {
        parent.list.removeMasterIndex();
        parent.list.setMasterIndex();
        parent.validate();
    }
}
