package edu.uwyo.crawl;

/**
 * An interface representing a view that can be saved or restored.
 * @version 8 February, 2019
 * @author Christopher Stanton
 */
public interface RestorableView {
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    //                    METHODS                      ////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////

    /** Restores the current view from disk. */
    public void restoreView();

    /** Saves the current view to disk. */
    public void saveView();
}
