package edu.uwyo.crawl.contentMatcher;

/**
 * An expression representing the start-of-string anchor.
 * @version 6 March, 2019
 * @author Christopher Stanton
 */
public class StartExpression extends AbstractExpression {
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    //                  CONSTRUCTORS                   ////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////

    /** Creates a new {@link StartExpression}. */
    protected StartExpression() {
        super();
        length.set(0, 0);
    }

    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    //              OVERRIDDEN METHODS                 ////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////

    @Override
    public void toString(StringBuilder builder) {
        builder.append("^");
    }

    /** Does nothing. */
    @Override
    protected void add(AbstractExpression expression, int length) {}

    /** Does nothing. */
    @Override
    protected void zeroOrMore() {}

    /** Does nothing. */
    @Override
    protected void oneOrMore() {}

    /** Does nothing. */
    @Override
    protected void repeat(int min, int max) {}

    /** Does nothing. */
    @Override
    protected void nextOrGroup() {}
}
