package edu.uwyo.crawl.ui.frameFlags.panels;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import edu.uwyo.Main;
import edu.uwyo.crawl.ui.FrameMain;

/**
 * A listener used for toggling the visibility of a file status flag.
 * @version 6 March, 2019
 * @author Christopher Stanton
 */
public class FlagToggleListener implements ActionListener {
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    //                    FIELDS                       ////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////

    private final FrameMain parent;

    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    //                  CONSTRUCTORS                   ////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////

    /** Creates a new {@link FlagToggleListener}. */
    protected FlagToggleListener(FrameMain parent) {
        this.parent = parent;
    }

    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    //              OVERRIDDEN METHODS                 ////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////

    @Override
    public void actionPerformed(ActionEvent e) {
        parent.flags().main().validate();
        if (parent.main().list.tree.redraw()) {
            Main.frameMain.modify();
        }
    }
}
